Bug 176763 - Releases of R should be co-ordinated with dependent packages
Releases of R should be co-ordinated with dependent packages
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: R (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 176762 177078
  Show dependency treegraph
 
Reported: 2006-01-01 16:13 EST by Alex Lancaster
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-07 15:23:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lancaster 2006-01-01 16:13:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Galeon/2.0.0

Description of problem:
Releases of R should be co-ordinated with other dependent packages. Case in point: the upgrade of R to 2.2.1 breaks the rpy package (bug #176762), and there maybe others.  Unfortunately rpy doesn't have an explicit dependency on a particular R version so it makes it a bit difficult to know this dependency or check it automatically (it probably should be added), but rpy will fail at runtime.  This bug is a tracker for other R version dependent packages and to bring it to the R maintainer's notice that co-ordination with dependent packages is required to avoid breakage.

Version-Release number of selected component (if applicable):
R-2.2.1-2.fc4

How reproducible:
Always

Steps to Reproduce:
1. See bug #176762
  

Additional info:
Comment 1 Tom "spot" Callaway 2006-04-07 15:22:39 EDT
To help manage issues like this, I've created a mailing list: fedora-r-devel-list

http://www.redhat.com/mailman/listinfo/fedora-r-devel-list
Comment 2 Alex Lancaster 2006-04-07 16:25:54 EDT
Any reason that the archives for this list aren't public?
Comment 3 Tom "spot" Callaway 2006-04-07 16:35:36 EDT
Oversight? :) Should be public now.

Note You need to log in before you can comment on or make changes to this bug.